#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/kernel.h>
#include <X11/Xlib.h>

Display        *display;
int             screen;
Colormap        colormap;
char           *progname;
int             pc_colour[16];
static char *pc_names[] = {
 "Black", "mediumBlue", "Green3", "Cyan3", "Red", "Magenta4", "sienna", "Grey",
 "RoyalBlue1", "blue", "green", "cyan", "tomato", "magenta", "yellow", "white"
};

get_colour(char *cname, XColor *cp)
{
	return XParseColor(display, colormap, cname, cp) &&
		XAllocColor(display, colormap, cp);
}

PcColours(void)
{
	int	i;
	XColor  cdef;

	for (i=0; i < 16; i++) {
		if (!get_colour(pc_names[i], &cdef)) return 0;
		pc_colour[i] = cdef.pixel;
	}
	return 1;
}

main() 
{
	if (fork()) exit(0);
	close(0);close(1);close(2);
	if (!(display = XOpenDisplay(NULL))) exit(1);
	screen = DefaultScreen(display);
	colormap = DefaultColormap(display,screen);
	if (!PcColours()) exit(1);
	Receive(0,NULL,0);
}
